AnsweredAssumed Answered

FILL HOLE, ADD POINT AND AXIS

Question asked by Eric Jacobson on Sep 19, 2019
Latest reply on Sep 20, 2019 by Fifi Riri

Hey, all;

 

I'm trying to assemble a macro that adds a surface fill to a selected hole, puts a point on the center face of that surface, then adds an axis in relation to the point and face so i end up with this:

 

 

My issue is that after filling the surface, I thought I'd be able to use FeatureByPositionReverse(featCount - i) to find the filled surface name and select that surface by SelectByID2 and use that add the point... but that doesn't seem to work as I need the specific face for the point creation and I'm not sure how to proceed. 

 

I thought once I had the point in I could use another instance of the FeatureByPositionReverse(featCount - i) and use the 2 instances to create the axis.

 

Does anyone have any insight or has anyone done this before?

 

Any help is appreciated! 

Outcomes